# profiler.c File Reference

`#include <pspkernel.h>`
`#include <pspdebug.h>`

Include dependency graph for profiler.c:

## Defines

#define | PROFILER_REG_BASE 0xBC400000
#define | PROFILER_REG_COUNT 21

## Functions

void | pspDebugProfilerEnable (void)
| Enables the profiler hardware.
void | pspDebugProfilerDisable (void)
| Disables the profiler hardware.
void | pspDebugProfilerClear (void)
| Clear the profiler registers.
void | pspDebugProfilerGetRegs (PspDebugProfilerRegs *regs)
| Get the profiler register state.
void | pspDebugProfilerPrint (void)
| Print the profiler registers to screen.

## Define Documentation

#define PROFILER_REG_BASE 0xBC400000

#define PROFILER_REG_COUNT 21